
Redmine - Defect #5219

Cannot delete a project with subprojects that shares versions

2010-03-30 16:43 - Yuki Kita

Status: Closed Start date: 2010-03-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 0.9.4   

Resolution: Fixed Affected version: 0.9.3

Description

If a project has a subproject,

and the subproject has an issue whose "fixed_version" is shared,

the project and the subproject can not be deleted at once.

Processing ProjectsController#destroy (for 127.0.0.1 at 2010-03-30 23:24:57) [POST]

  Parameters: {"commit"=>"Delete", "confirm"=>"1", "action"=>"destroy", "authenticity_token"=>"s3c

Ph4RAAGKkzyTkgyW62unKrACnLgS3s40iNwXpcAc=", "id"=>"mytest", "controller"=>"projects"}

RuntimeError (Can't delete version):

  app/models/version.rb:160:in `check_integrity'

  app/controllers/projects_controller.rb:234:in `destroy'

  /opt/local/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

  /opt/local/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

  /opt/local/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

  /opt/local/lib/ruby/1.8/webrick/server.rb:162:in `start'

  /opt/local/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

  /opt/local/lib/ruby/1.8/webrick/server.rb:95:in `start'

  /opt/local/lib/ruby/1.8/webrick/server.rb:92:in `each'

  /opt/local/lib/ruby/1.8/webrick/server.rb:92:in `start'

  /opt/local/lib/ruby/1.8/webrick/server.rb:23:in `start'

  /opt/local/lib/ruby/1.8/webrick/server.rb:82:in `start'

Rendering rescues/layout (internal_server_error)

History

#1 - 2010-04-05 14:26 - Yuki Kita

- File project.rb.diff added

I found a solution to fix it.

Here is the patch.

Regards

#2 - 2010-04-11 19:45 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.9.4

- Resolution set to Fixed

This should be fixed by r3668.

#3 - 2010-04-12 00:35 - Yuki Kita

I confirmed that it was fixed.

Thank you.

#4 - 2010-04-30 00:01 - Jean-Philippe Lang

- Status changed from Resolved to Closed
https://www.redmine.org/projects/redmine/repository/svn/revisions/3668


Merged in 0.9-stable in r3697.

Files

delete.png 25.4 KB 2010-03-30 Yuki Kita

project.rb.diff 818 Bytes 2010-04-05 Yuki Kita
